Skip to content

Common Accessibility Issues Pro

Typically, the same kind of issue affects many Web Pages on a given Report. For example, the issue "Form elements must have labels" may affect many Web Pages on the same report.

A Common Accessibility Issue represents a given Accessibility Issue that is common to many Web Pages, thus showing its details, how many times it's found on the Report, and links to the related Web Pages.

Attributes

ID
Unique ID for this issue.
Report ID
ID of the report.
Help
Brief description of the issue.
Help URL
URL where you can find more info about the issue and proposed fixes.
How Many
Total times this issue has been found in the web pages for the report.
Impact
Severity of the issue.
Impact Order
Numerical representation of the Impact.
Tags
Comma-separated list of tags to categorize this issue.
Inserted At
Timestamp when the Accessibility Issue was created.
Updated At
Timestamp when the Accessibility Issue was last updated.
Description
Short plain-text explanation of the issue, from the Rocket Validator guide that matches it. Null when no guide matches. This is Rocket Validator's own explanation, and is separate from the Help attribute, which carries the text supplied by the accessibility engine.
Description Markdown
The same explanation in Markdown. Null when no guide matches.
Description HTML
The same explanation as rendered HTML. Null when no guide matches.
Guide URL
Link to the full guide for this issue. Null when no guide matches.

Guide descriptions are not available for every issue

Rocket Validator publishes a guide for the most common issues, but not for every possible validator message. When no guide matches an issue, the four description and guide attributes are null. Treat them as optional.

Relationships

Web Pages
The list of Web Pages affected by this issue.

Example

Example: Common Accessibility Issue

    {
        "data": {
            "attributes": {
                "description": "The names of ARIA attributes beginning with \"aria-\" must be correct.",
                "description_markdown": "The names of ARIA attributes beginning with \"aria-\" must be correct.",
                "description_html": "<p>The names of ARIA attributes beginning with &quot;aria-&quot; must be correct.</p>",
                "guide_url": "https://rocketvalidator.com/accessibility-validation/axe/4.8/aria-valid-attr",
                "help": "ARIA attributes must conform to valid names",
                "help_url": "https://dequeuniversity.com/rules/axe/4.8/aria-valid-attr?application=axe-puppeteer",
                "how_many": 1,
                "impact": "critical",
                "impact_order": 4,
                "report_id": "72eecced-8472-41fc-b194-59b7496c7576",
                "tags": [
                    "cat.aria",
                    "wcag2a",
                    "wcag412",
                    "EN-301-549",
                    "EN-9.4.1.2"
                ]
            },
            "id": "26218481",
            "relationships": {
                "web_pages": {
                    "links": {
                        "related": "https://rocketvalidator.com/api/v1/reports/72eecced-8472-41fc-b194-59b7496c7576/web_pages?filter[common_a11y_issue_id]=26218481"
                    }
                }
            },
            "type": "common_a11y_issue"
        },
        "jsonapi": {
            "version": "1.0"
        }
    }

List Common A11Y Issues on a Report

To list the Common Accessibility issues found on a report, send a GET request to /api/v1/reports/$REPORT_ID/common_a11y_issues.

Example: list the Common Accessibility issues found on a report

GET /api/v1/reports/$REPORT_ID/common_a11y_issues

Filtering by help

To include only the accessibility issues of a given kind, use the filter[help] option.

Example: filter A11Y issues for a report about "landmark"

GET /api/v1/reports/$REPORT_ID/common_a11y_issues?filter[help]=landmark

Filtering by tag

To include only the issues for a given tags combination, use the filter[tags] options:

  • filter[tags][mode] setting the tag combination mode, which can be any, all or none.
  • filter[tags][list] including a comma-separated list of tags.

Example: filter A11Y issues for a report tagged with "wcag2a"

GET /api/v1/reports/$REPORT_ID/common_a11y_issues?filter[tags][mode]=any&filter[tags][list]=wcag2a

Retrieve a Common Accessibility Issue

To retrieve a Common Accessibility Issue on a given Report, send a GET request to /api/v1/reports/$REPORT_ID/common_a11y_issues/$COMMON_A11Y_ISSUE_ID.

Example: retrieve a Common Accessibility issue on a report

GET /api/v1/reports/$REPORT_ID/common_a11y_issues/$COMMON_A11Y_ISSUE_ID

List the Web Pages affected by a Common A11Y Issue

To list the Web Pages that are affected by a given issue, refer to Filtering by A11Y issue on the Web pages endpoint.